# Uses of Interface
org.eclipse.emf.cdo.session.CDOSession.ExceptionHandler

Packages that use CDOSession.ExceptionHandler
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSession.ExceptionHandler in org.eclipse.emf.cdo.session

Classes in org.eclipse.emf.cdo.session that implement CDOSession.ExceptionHandler
Modifier and Type
Class
Description
`class`
`CDORetryExceptionHandler`
A `session exection handler` that retries the failed protocol operation a configurable number of times.
Methods in org.eclipse.emf.cdo.session that return CDOSession.ExceptionHandler
Modifier and Type
Method
Description
`CDOSession.ExceptionHandler`
CDOSession.`getExceptionHandler()`
Returns the `exception handler` of this session.
`CDOSession.ExceptionHandler`
CDOSessionConfiguration.`getExceptionHandler()`
Methods in org.eclipse.emf.cdo.session with parameters of type CDOSession.ExceptionHandler
Modifier and Type
Method
Description
`void`
CDOSessionConfiguration.`setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)`
A special exception handler can be set before the session is opened and can not be changed thereafter.

## Uses of CDOSession.ExceptionHandler in org.eclipse.emf.cdo.ui

Classes in org.eclipse.emf.cdo.ui that implement CDOSession.ExceptionHandler
Modifier and Type
Class
Description
`class`
`CDOInteractiveExceptionHandler`
A `CDOSession` `ExceptionHandler` implementation that shows exception information on a UI `dialog`

## Uses of CDOSession.ExceptionHandler in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOSession.ExceptionHandler
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)`